com.io7m.jcanephora.core

## Interface JCGLTexture2DUsableType

- All Superinterfaces:
    JCGLFramebufferColorAttachmentType, JCGLFramebufferDepthAttachmentType, JCGLFramebufferDepthStencilAttachmentType, JCGLNamedType, JCGLReferableType, JCGLResourceSizedType, JCGLResourceUsableType, JCGLTextureUsableType
  All Known Subinterfaces:
    JCGLTexture2DType

      public interface JCGLTexture2DUsableType
      extends JCGLTextureUsableType, JCGLFramebufferColorAttachmentType, JCGLFramebufferDepthAttachmentType, JCGLFramebufferDepthStencilAttachmentType

  The type of usable 2D textures.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <A,E extends Throwable> A` | `matchColorAttachment(JCGLFramebufferColorAttachmentMatcherType<A,E> m)` A function that accepts visitors.
    `default <A,E extends Throwable> A` | `matchDepthAttachment(JCGLFramebufferDepthAttachmentMatcherType<A,E> m)` A function that accepts matchers.
    `default <A,E extends Throwable> A` | `matchDepthStencilAttachment(JCGLFramebufferDepthStencilAttachmentMatcherType<A,E> m)` A function that accepts matchers.
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `textureGetArea()`
    `JCGLTextureWrapS` | `textureGetWrapS()`
    `JCGLTextureWrapT` | `textureGetWrapT()`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLTextureUsableType

      `textureGetFormat, textureGetHeight, textureGetMagnificationFilter, textureGetMinificationFilter, textureGetRangeX, textureGetRangeY, textureGetWidth`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceSizedType

      `getRange`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLReferableType

      `getReferringContainers`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLNamedType

      `getGLName`

- - ### Method Detail

    - #### textureGetArea

          com.io7m.jareas.core.AreaInclusiveUnsignedLType textureGetArea()

      Returns:
        The texture area

    - #### textureGetWrapS

          JCGLTextureWrapS textureGetWrapS()

      Returns:
        The wrapping mode on the `S` axis

    - #### textureGetWrapT

          JCGLTextureWrapT textureGetWrapT()

      Returns:
        The wrapping mode on the `T` axis

    - #### matchColorAttachment

          default <A,E extends Throwable> A matchColorAttachment(JCGLFramebufferColorAttachmentMatcherType<A,E> m)
                                                          throws JCGLException,
                                                                 E extends Throwable

      Description copied from interface: `JCGLFramebufferColorAttachmentType`
      A function that accepts visitors.
      Specified by:
        `matchColorAttachment` in interface `JCGLFramebufferColorAttachmentType`
      Type Parameters:
        `A` - The type of returned values.
        `E` - The type of exceptions thrown by the visitor.
      Parameters:
        `m` - A visitor.
      Returns:
        The value returned by `m`.
      Throws:
        `JCGLException` - Iff a `JCGLException` is propagated from `m`.
        `E` - Iff `m` throws an `E`.
        `E extends Throwable`

    - #### matchDepthAttachment

          default <A,E extends Throwable> A matchDepthAttachment(JCGLFramebufferDepthAttachmentMatcherType<A,E> m)
                                                          throws JCGLException,
                                                                 E extends Throwable

      Description copied from interface: `JCGLFramebufferDepthAttachmentType`
      A function that accepts matchers.
      Specified by:
        `matchDepthAttachment` in interface `JCGLFramebufferDepthAttachmentType`
      Type Parameters:
        `A` - The type of returned values.
        `E` - The type of exceptions thrown by the matcher.
      Parameters:
        `m` - A matcher.
      Returns:
        The value returned by `v`.
      Throws:
        `JCGLException` - Iff a `JCGLException` is propagated from `v`.
        `E` - Iff `v` throws an `E`.
        `E extends Throwable`

    - #### matchDepthStencilAttachment

          default <A,E extends Throwable> A matchDepthStencilAttachment(JCGLFramebufferDepthStencilAttachmentMatcherType<A,E> m)
                                                                 throws JCGLException,
                                                                        E extends Throwable

      Description copied from interface: `JCGLFramebufferDepthStencilAttachmentType`
      A function that accepts matchers.
      Specified by:
        `matchDepthStencilAttachment` in interface `JCGLFramebufferDepthStencilAttachmentType`
      Type Parameters:
        `A` - The type of returned values.
        `E` - The type of exceptions thrown by the matcher.
      Parameters:
        `m` - A matcher.
      Returns:
        The value returned by `v`.
      Throws:
        `JCGLException` - Iff a `JCGLException` is propagated from `v`.
        `E` - Iff `v` throws an `E`.
        `E extends Throwable`

Copyright © 2016 <code@io7m.com> http://io7m.com